<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetNodesFormulas](./bitburner.hacknetnodesformulas.md) &gt; [ramUpgradeCost](./bitburner.hacknetnodesformulas.ramupgradecost.md)

## HacknetNodesFormulas.ramUpgradeCost() method

Calculate cost of upgrading hacknet node ram.

**Signature:**

```typescript
ramUpgradeCost(startingRam: number, extraLevels?: number, costMult?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  startingRam | number | starting ram |
|  extraLevels | number | _(Optional)_ amount of level of ram to purchase (defaults to 1) |
|  costMult | number | _(Optional)_ player cost reduction (default to 1) |

**Returns:**

number

The calculated cost.

